=== modified file 'lib/canonical/launchpad/xmlrpc/application.py'
--- lib/canonical/launchpad/xmlrpc/application.py	2010-11-08 12:52:43 +0000
+++ lib/canonical/launchpad/xmlrpc/application.py	2011-04-28 21:36:47 +0000
@@ -38,6 +38,8 @@
 from lp.registry.interfaces.person import ISoftwareCenterAgentApplication
 
 
+# NOTE: If you add a traversal here, you should update
+# the regular expression in utilities/page-performance-report.ini
 class PrivateApplication:
     implements(IPrivateApplication)
 

=== modified file 'utilities/page-performance-report.ini'
--- utilities/page-performance-report.ini	2011-04-21 05:19:48 +0000
+++ utilities/page-performance-report.ini	2011-04-28 21:36:47 +0000
@@ -5,49 +5,73 @@
 All Launchpad=.
 All Launchpad except operational pages=(?<!\+opstats|\+haproxy)$
 
-Launchpad Frontpage=^https?://launchpad\.[^/]+/?$
+API=(^https?://api\.|/\+access-token$)
+Operational=(\+opstats|\+haproxy)$
+Web (Non API/non operational/non XML-RPC)=^https?://(?!api\.)
+    [^/]+($|/
+     (?!\+haproxy|\+opstats|\+access-token
+      |((authserver|bugs|bazaar|codehosting|
+         codeimportscheduler|mailinglists|softwarecenteragent)/\w+$)))
+Other=^/
+
+Launchpad Frontpage=^https?://launchpad\.[^/]+(/index\.html)?$
 
 # Note that the bug text dump is served on the main launchpad domain
 # and we need to exlude it from the registry stats.
-Registry=^https?://launchpad\.(?<!/\+text)$
-Registry - Person Index=^https?://launchpad\.[^/]+/(~|%7E)[^/]+$
-Registry - Pillar Index=^https?://launchpad\.[^/]+/\w[^/]*$
+Registry=^https?://launchpad\..*(?<!/\+text)(?<!/\+access-token)$
+Registry - Person Index=^https?://launchpad\.[^/]+/%7E[^/]+(/\+index)?$
+Registry - Pillar Index=^https?://launchpad\.[^/]+/\w[^/]*(/\+index)?$
 
 Answers=^https?://answers\.
-Answers - Front page=^https?://answers\.[^/]+/?$
+Answers - Front page=^https?://answers\.[^/]+(/questions/\+index)?$
 
 Blueprints=^https?://blueprints\.
-Blueprints - Front page=^https?://blueprints\.[^/]+/?$
+Blueprints - Front page=^https?://blueprints\.[^/]+(/specs/\+index)?$
 
 # Note that the bug text dump is not served on the bugs domain,
 # probably for hysterical reasons. This is why the bugs regexp is
 # confusing.
 Bugs=^https?://(bugs\.|.+/bugs/\d+/\+text$)
-Bugs - Front page=^https?://bugs\.[^/]+/?$
-Bugs - Bug Page=^https?://bugs\.[^/]+/.+/\+bug/\d+$
-Bugs - Pillar Index=^https?://bugs\.[^/]+/\w[^/]*$
-Bugs - Search=^https?://bugs\.[^/]+/.+/\+bugs\?.*field.searchtext=
+Bugs - Front page=^https?://bugs\.[^/]+(/bugs/\+index)?$
+Bugs - Bug Page=^https?://bugs\.[^/]+/.+/\+bug/\d+(/\+index)?$
+Bugs - Pillar Index=^https?://bugs\.[^/]+/\w[^/]*(/\+bugs-index)?$
+Bugs - Search=^https?://bugs\.[^/]+/.+/\+bugs$
 Bugs - Text Dump=^https?://launchpad\..+/\+text$
 
 Code=^https?://code\.
-Code - Front page=^https?://code\.[^/]+/?$
-Code - PPA Index=^https?://code\.[^/]+/.+/\+archive/[^/]+$
-Code - Pillar Branches=^https?://code\.[^/]+/\w[^/]*$
-Code - Branch Page=^https?://code\.[^/]+/(~|%7E)[^/]+/[^/]+/[^/]+$
-Code - Merge Proposal=^https?://code\.[^/]+/.+/\+merge/\d+$
+Code - Front page=^https?://code\.[^/]+(/\+code/\+index)?$
+Code - Pillar Branches=^https?://code\.[^/]+/\w[^/]*(/\+code-index)?$
+Code - Branch Page=^https?://code\.[^/]+/%7E[^/]+/[^/]+/[^/]+(/\+index)?$
+Code - Merge Proposal=^https?://code\.[^/]+/.+/\+merge/\d+(/\+index)$
+
+Soyuz - PPA Index=^https?://launchpad\.[^/]+/.+/\+archive/[^/]+(/\+index)?$
 
 Translations=^https?://translations\.
-Translations - Front page=^https?://translations\.[^/]+/?$
-Translations - Overview=^https?://translations\..*/\+lang/\w+$
+Translations - Front page=^https?://translations\.[^/]+/translations/\+index$
+Translations - Overview=^https?://translations\..*/\+lang/\w+(/\+index)?$
 
-API=^https?://api\.
-Public XML-RPC=^https?://xmlrpc\.
-Private XML-RPC=^https?://xmlrpc-private\.
+Public XML-RPC=^https://(launchpad|xmlrpc)[^/]+/bazaar/\w+$
+Private XML-RPC=^https://(launchpad|xmlrpc)[^/]+/
+    (authserver|bugs|codehosting|codeimportscheduler
+    |mailinglists|softwarecenteragent)/\w+$
 
 [metrics]
 ppr_all=All Launchpad except operational pages
+ppr_web=Web (Non API/non operational/non XML-RPC)
+ppr_operational=Operational
 ppr_bugs=Bugs
 ppr_api=API
 ppr_code=Code
+ppr_public_xmlrpc=Public XML-RPC
+ppr_private_xmlrpc=Private XML-RPC
 ppr_translations=Translations
 ppr_registry=Registry
+ppr_other=Other
+
+[partition]
+API=
+Operational=
+Private XML-RPC=
+Public XML-RPC=
+Web (Non API/non operational/non XML-RPC)=
+Other=

